summaryrefslogtreecommitdiffstats
path: root/misc/vdpauinfo
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-13 00:59:33 +0200
committer Robby Workman2010-05-13 00:59:33 +0200
commitea342ac201a782628df0ccd20a77b47f354b872e (patch)
tree02f495175fb49bbb740d432051432e02e872e848 /misc/vdpauinfo
parent8a9eb2eecf912209a6201adf51cc3a60a4387aef (diff)
downloadslackbuilds-ea342ac201a782628df0ccd20a77b47f354b872e.tar.gz
misc/vdpauinfo: Added to 13.0 repository
Diffstat (limited to 'misc/vdpauinfo')
-rw-r--r--misc/vdpauinfo/README3
-rw-r--r--misc/vdpauinfo/slack-desc19
-rw-r--r--misc/vdpauinfo/vdpauinfo.SlackBuild83
-rw-r--r--misc/vdpauinfo/vdpauinfo.info10
4 files changed, 115 insertions, 0 deletions
diff --git a/misc/vdpauinfo/README b/misc/vdpauinfo/README
new file mode 100644
index 0000000000..e60dbb6756
--- /dev/null
+++ b/misc/vdpauinfo/README
@@ -0,0 +1,3 @@
+Query and display NVIDIA VDPAU capabilities, a la glxinfo.
+
+This requires libvdpau.
diff --git a/misc/vdpauinfo/slack-desc b/misc/vdpauinfo/slack-desc
new file mode 100644
index 0000000000..b9dc70a861
--- /dev/null
+++ b/misc/vdpauinfo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+vdpauinfo: vdpauinfo (VDPAU info utility)
+vdpauinfo:
+vdpauinfo: Query and display NVIDIA VDPAU capabilities, a la glxinfo
+vdpauinfo:
+vdpauinfo: Homepage: http://cgit.freedesktop.org/~aplattner/vdpauinfo
+vdpauinfo:
+vdpauinfo:
+vdpauinfo:
+vdpauinfo:
+vdpauinfo:
+vdpauinfo:
diff --git a/misc/vdpauinfo/vdpauinfo.SlackBuild b/misc/vdpauinfo/vdpauinfo.SlackBuild
new file mode 100644
index 0000000000..f04850ba43
--- /dev/null
+++ b/misc/vdpauinfo/vdpauinfo.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for vdpauinfo
+
+# Copyright 2009 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vdpauinfo
+VERSION=0.0.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/vdpauinfo/vdpauinfo.info b/misc/vdpauinfo/vdpauinfo.info
new file mode 100644
index 0000000000..c0bcc1abb2
--- /dev/null
+++ b/misc/vdpauinfo/vdpauinfo.info
@@ -0,0 +1,10 @@
+PRGNAM="vdpauinfo"
+VERSION="0.0.6"
+HOMEPAGE="http://cgit.freedesktop.org/~aplattner/vdpauinfo"
+DOWNLOAD="http://people.freedesktop.org/~aplattner/vdpau/vdpauinfo-0.0.6.tar.gz"
+MD5SUM="513df206613cbd061b6d49cdbfe927ef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="rworkman"